| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::CLAHE Class Referenceabstract
CUDA-accelerated Computer Vision » Image Processing » Histogram Calculation

Base class for Contrast Limited Adaptive Histogram Equalization. : More...

`#include <opencv2/cudaimgproc.hpp>`

Collaboration diagram for cv::cuda::CLAHE:

## Public Member Functions
virtual void | apply (InputArray src, OutputArray dst, Stream &stream)=0
| Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization.
Public Member Functions inherited from cv::CLAHE
virtual void | apply (InputArray src, OutputArray dst)=0
| Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization.
virtual void | collectGarbage ()=0
virtual double | getClipLimit () const =0
| Returns threshold value for contrast limiting.
virtual Size | getTilesGridSize () const =0
| Returns Size defines the number of tiles in row and column.
virtual void | setClipLimit (double clipLimit)=0
| Sets threshold for contrast limiting.
virtual void | setTilesGridSize (Size tileGridSize)=0
| Sets size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for Contrast Limited Adaptive Histogram Equalization. :

## Member Function Documentation

## ◆ apply()

virtual void cv::cuda::CLAHE::apply | ( | InputArray | src,
|  | OutputArray | dst,
|  | Stream & | stream )
| pure virtual

Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization.

Parameters

  src | Source image with CV_8UC1 type.
  dst | Destination image.
  stream | Stream for the asynchronous version.

The documentation for this class was generated from the following file:

- opencv2/cudaimgproc.hpp